#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.

from fenrirscreenreader.core.i18n import _

from fenrirscreenreader.utils import word_utils
from fenrirscreenreader.utils import char_utils


class command():
    def __init__(self):
        pass

    def initialize(self, environment):
        self.env = environment

    def shutdown(self):
        pass

    def get_description(self):
        return _('Phonetically spells the current word')

    def run(self):
        self.env['runtime']['CursorManager'].enter_review_mode_curr_text_cursor()
        self.env['screen']['newCursorReview']['x'], self.env['screen']['newCursorReview']['y'], curr_word, end_of_screen, line_break = word_utils.get_current_word(
            self.env['screen']['newCursorReview']['x'], self.env['screen']['newCursorReview']['y'], self.env['screen']['new_content_text'])

        if curr_word.isspace():
            self.env['runtime']['OutputManager'].present_text(
                _("blank"), interrupt=True, flush=False)
        else:
            first_sequence = True
            for c in curr_word:
                curr_char = char_utils.get_phonetic(c)
                self.env['runtime']['OutputManager'].present_text(
                    curr_char, interrupt=first_sequence, announce_capital=True, flush=False)
                first_sequence = False
        if end_of_screen:
            if self.env['runtime']['SettingsManager'].get_setting_as_bool(
                    'review', 'end_of_screen'):
                self.env['runtime']['OutputManager'].present_text(
                    _('end of screen'), interrupt=True, sound_icon ='EndOfScreen')
        if line_break:
            if self.env['runtime']['SettingsManager'].get_setting_as_bool(
                    'review', 'line_break'):
                self.env['runtime']['OutputManager'].present_text(
                    _('line break'), interrupt=False, sound_icon ='EndOfLine')

    def set_callback(self, callback):
        pass
