#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.

from fenrirscreenreader.core.i18n import _

from fenrirscreenreader.utils import char_utils


class command():
    def __init__(self):
        pass

    def initialize(self, environment):
        self.env = environment

    def shutdown(self):
        pass

    def get_description(self):
        return _('set review cursor to begin of current line and display the content')

    def run(self):
        cursor_pos = self.env['runtime']['CursorManager'].get_review_or_text_cursor()
        self.env['runtime']['CursorManager'].set_review_cursor_position(
            0, cursor_pos['y'])
        self.env['screen']['newCursorReview']['x'], self.env['screen']['newCursorReview']['y'], curr_char = char_utils.get_current_char(
            self.env['screen']['newCursorReview']['x'], self.env['screen']['newCursorReview']['y'], self.env['screen']['new_content_text'])

        if curr_char.isspace():
            self.env['runtime']['OutputManager'].present_text(
                _("blank"), interrupt=True, flush=False)
        else:
            self.env['runtime']['OutputManager'].present_text(
                curr_char,
                interrupt=True,
                ignore_punctuation=True,
                announce_capital=True,
                flush=False)
        self.env['runtime']['OutputManager'].present_text(
            _("beginning of line"), interrupt=False)

    def set_callback(self, callback):
        pass
