#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.

from fenrirscreenreader.core.i18n import _

from fenrirscreenreader.utils import char_utils


class command():
    def __init__(self):
        pass

    def initialize(self, environment):
        self.env = environment

    def shutdown(self):
        pass

    def get_description(self):
        return _('phonetically presents the next character and set review to it')

    def run(self):
        self.env['runtime']['CursorManager'].enter_review_mode_curr_text_cursor()

        self.env['screen']['newCursorReview']['x'], self.env['screen']['newCursorReview']['y'], next_char, end_of_screen, line_break = char_utils.get_next_char(
            self.env['screen']['newCursorReview']['x'], self.env['screen']['newCursorReview']['y'], self.env['screen']['new_content_text'])

        next_char = char_utils.get_phonetic(next_char)
        self.env['runtime']['OutputManager'].present_text(
            next_char, interrupt=True, announce_capital=True, flush=False)
        if end_of_screen:
            if self.env['runtime']['SettingsManager'].get_setting_as_bool(
                    'review', 'end_of_screen'):
                self.env['runtime']['OutputManager'].present_text(
                    _('end of screen'), interrupt=True, sound_icon ='EndOfScreen')
        if line_break:
            if self.env['runtime']['SettingsManager'].get_setting_as_bool(
                    'review', 'line_break'):
                self.env['runtime']['OutputManager'].present_text(
                    _('line break'), interrupt=False, sound_icon ='EndOfLine')

    def set_callback(self, callback):
        pass
