#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.

from fenrirscreenreader.core.i18n import _


class command():
    def __init__(self):
        pass

    def initialize(self, environment):
        self.env = environment

    def shutdown(self):
        pass

    def get_description(self):
        return _('enables or disables announcement of emoticons instead of chars')

    def run(self):
        self.env['runtime']['SettingsManager'].set_setting(
            'general', 'emoticons', str(
                not self.env['runtime']['SettingsManager'].get_setting_as_bool(
                    'general', 'emoticons')))
        if self.env['runtime']['SettingsManager'].get_setting_as_bool(
                'general', 'emoticons'):
            self.env['runtime']['OutputManager'].present_text(
                _('emoticons enabled'), sound_icon ='', interrupt=True)
        else:
            self.env['runtime']['OutputManager'].present_text(
                _('emoticons disabled'), sound_icon ='', interrupt=True)

    def set_callback(self, callback):
        pass
