#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.
# generic driver

from fenrirscreenreader.core import debug
from fenrirscreenreader.core.speechDriver import speech_driver


class driver(speech_driver):
    def __init__(self):
        speech_driver.__init__(self)

    def initialize(self, environment):
        self._is_initialized = True
        self.env = environment
        print('Speech Debug Driver: Iitialized')

    def shutdown(self):
        if self._is_initialized:
            self.cancel()
        self._is_initialized = False
        print('Speech Debug Driver: Shutdown')

    def speak(self, text, queueable=True, ignore_punctuation=False):
        if not self._is_initialized:
            return
        if not queueable:
            self.cancel()
        print('Speech Debug Driver: Speak:' + text)
        print('Speech Debug Driver: -----------------------------------')

    def cancel(self):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: Cancel')

    def set_callback(self, callback):
        print('Speech Debug Driver: set_callback')

    def clear_buffer(self):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: clear_buffer')

    def set_voice(self, voice):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: set_voice:' + str(voice))

    def set_pitch(self, pitch):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: set_pitch:' + str(pitch))

    def set_rate(self, rate):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: set_rate:' + str(rate))

    def set_module(self, module):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: set_module:' + str(module))

    def set_language(self, language):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: set_language:' + str(language))

    def set_volume(self, volume):
        if not self._is_initialized:
            return
        print('Speech Debug Driver: set_volume:' + str(volume))
